> ## Documentation Index
> Fetch the complete documentation index at: https://kapso-1adbad2d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get WhatsApp config health status

> Performs a comprehensive health check on a WhatsApp configuration to verify its operational status.

**Health Checks Performed:**
- Phone number access verification
- Messaging health status (ability to send messages)
- Webhook subscription status
- Webhook verification status

**Response Status:**
- `healthy`: All checks pass
- `degraded`: Some non-critical checks fail (e.g., webhook issues)
- `unhealthy`: Critical checks fail (e.g., phone number access, token validity)
- `error`: Service error occurred during health check

**Note:** Test message sending is disabled by default for performance reasons.




## OpenAPI

````yaml api/legacy/openapi-whatsapp.yaml get /whatsapp_configs/{id}/health
openapi: 3.0.3
info:
  title: Kapso External API - WhatsApp API
  description: >-
    API for programmatically interacting with Kapso agents, executions, and
    WhatsApp conversations. This specification includes only WhatsApp API
    endpoints.
  version: 1.0.0
  contact:
    name: Kapso Support
servers:
  - url: https://app.kapso.ai/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /whatsapp_configs/{id}/health:
    get:
      tags:
        - WhatsApp Configs
      summary: Get WhatsApp config health status
      description: >
        Performs a comprehensive health check on a WhatsApp configuration to
        verify its operational status.


        **Health Checks Performed:**

        - Phone number access verification

        - Messaging health status (ability to send messages)

        - Webhook subscription status

        - Webhook verification status


        **Response Status:**

        - `healthy`: All checks pass

        - `degraded`: Some non-critical checks fail (e.g., webhook issues)

        - `unhealthy`: Critical checks fail (e.g., phone number access, token
        validity)

        - `error`: Service error occurred during health check


        **Note:** Test message sending is disabled by default for performance
        reasons.
      operationId: getWhatsappConfigHealthDetails
      parameters:
        - name: id
          in: path
          required: true
          description: ID of the WhatsApp configuration to check
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Health check completed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - healthy
                      - degraded
                      - unhealthy
                      - error
                    description: Overall health status
                  checks:
                    type: object
                    description: Individual health check results
                    properties:
                      phone_number_access:
                        type: object
                        properties:
                          passed:
                            type: boolean
                          details:
                            type: object
                          error:
                            type: string
                      messaging_health:
                        type: object
                        properties:
                          passed:
                            type: boolean
                          overall_status:
                            type: string
                          details:
                            type: object
                      webhook_subscription:
                        type: object
                        properties:
                          passed:
                            type: boolean
                          details:
                            type: object
                          error:
                            type: string
                      webhook_verified:
                        type: object
                        properties:
                          passed:
                            type: boolean
                          details:
                            type: object
                  timestamp:
                    type: string
                    format: date-time
                    description: When the health check was performed
                  error:
                    type: string
                    description: Error message if overall health check failed
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: WhatsApp configuration not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Resource not found
        status:
          type: integer
          example: 404
        message:
          type: string
          example: The requested resource could not be found
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key required for all endpoints

````